Bug 1287974 - [abrt] xorg-x11-server-Xwayland: __dl_iterate_phdr(): Xwayland killed by SIGSEGV
[abrt] xorg-x11-server-Xwayland: __dl_iterate_phdr(): Xwayland killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:460ac16d223cc836965911e308e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 03:07 EST by Andrey Motoshkov
Modified: 2016-12-20 11:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:36:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.97 KB, text/plain)
2015-12-03 03:07 EST, Andrey Motoshkov
no flags Details
File: cgroup (189 bytes, text/plain)
2015-12-03 03:07 EST, Andrey Motoshkov
no flags Details
File: core_backtrace (3.29 KB, text/plain)
2015-12-03 03:07 EST, Andrey Motoshkov
no flags Details
File: dso_list (6.13 KB, text/plain)
2015-12-03 03:07 EST, Andrey Motoshkov
no flags Details
File: environ (1.18 KB, text/plain)
2015-12-03 03:07 EST, Andrey Motoshkov
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-03 03:07 EST, Andrey Motoshkov
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-03 03:07 EST, Andrey Motoshkov
no flags Details
File: maps (30.59 KB, text/plain)
2015-12-03 03:07 EST, Andrey Motoshkov
no flags Details
File: mountinfo (3.55 KB, text/plain)
2015-12-03 03:07 EST, Andrey Motoshkov
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-03 03:07 EST, Andrey Motoshkov
no flags Details
File: open_fds (650 bytes, text/plain)
2015-12-03 03:08 EST, Andrey Motoshkov
no flags Details
File: proc_pid_status (987 bytes, text/plain)
2015-12-03 03:08 EST, Andrey Motoshkov
no flags Details
File: var_log_messages (302 bytes, text/plain)
2015-12-03 03:08 EST, Andrey Motoshkov
no flags Details
File: backtrace (33.37 KB, text/plain)
2015-12-03 04:49 EST, Kamil Páral
no flags Details

  None (edit)
Description Andrey Motoshkov 2015-12-03 03:07:38 EST
Version-Release number of selected component:
xorg-x11-server-Xwayland-1.18.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/bin/Xwayland :1024 -rootless -noreset -listen 4 -listen 5 -displayfd 6
crash_function: __dl_iterate_phdr
executable:     /usr/bin/Xwayland
global_pid:     1614
kernel:         4.2.6-300.fc23.x86_64
runlevel:       3 5
type:           CCpp
uid:            42

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __dl_iterate_phdr at dl-iteratephdr.c:66
 #1 _ULx86_64_dwarf_find_proc_info at dwarf/Gfind_proc_info-lsb.c:730
 #2 fetch_proc_info at dwarf/Gparser.c:422
 #3 _ULx86_64_dwarf_make_proc_info at dwarf/Gparser.c:906
 #4 _ULx86_64_get_proc_info at x86_64/Gget_proc_info.c:35
 #5 xorg_backtrace at backtrace.c:74
 #8 DeleteClientFontStuff at dixfonts.c:1802
 #9 CloseDownClient at dispatch.c:3376
 #10 KillAllClients at dispatch.c:3454
 #11 Dispatch at dispatch.c:462
Comment 1 Andrey Motoshkov 2015-12-03 03:07:43 EST
Created attachment 1101686 [details]
File: backtrace
Comment 2 Andrey Motoshkov 2015-12-03 03:07:44 EST
Created attachment 1101687 [details]
File: cgroup
Comment 3 Andrey Motoshkov 2015-12-03 03:07:46 EST
Created attachment 1101688 [details]
File: core_backtrace
Comment 4 Andrey Motoshkov 2015-12-03 03:07:48 EST
Created attachment 1101689 [details]
File: dso_list
Comment 5 Andrey Motoshkov 2015-12-03 03:07:49 EST
Created attachment 1101690 [details]
File: environ
Comment 6 Andrey Motoshkov 2015-12-03 03:07:51 EST
Created attachment 1101691 [details]
File: exploitable
Comment 7 Andrey Motoshkov 2015-12-03 03:07:52 EST
Created attachment 1101692 [details]
File: limits
Comment 8 Andrey Motoshkov 2015-12-03 03:07:55 EST
Created attachment 1101693 [details]
File: maps
Comment 9 Andrey Motoshkov 2015-12-03 03:07:56 EST
Created attachment 1101694 [details]
File: mountinfo
Comment 10 Andrey Motoshkov 2015-12-03 03:07:58 EST
Created attachment 1101695 [details]
File: namespaces
Comment 11 Andrey Motoshkov 2015-12-03 03:08:00 EST
Created attachment 1101696 [details]
File: open_fds
Comment 12 Andrey Motoshkov 2015-12-03 03:08:01 EST
Created attachment 1101697 [details]
File: proc_pid_status
Comment 13 Andrey Motoshkov 2015-12-03 03:08:04 EST
Created attachment 1101698 [details]
File: var_log_messages
Comment 14 Kamil Páral 2015-12-03 04:49:49 EST
Another user experienced a similar problem:

I docked my laptop, my session logged out immediately.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/Xwayland :0 -rootless -noreset -listen 4 -listen 5 -displayfd 6
crash_function: __dl_iterate_phdr
executable:     /usr/bin/Xwayland
global_pid:     2026
kernel:         4.2.6-301.fc23.x86_64
package:        xorg-x11-server-Xwayland-1.18.0-2.fc23
reason:         Xwayland killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Kamil Páral 2015-12-03 04:49:51 EST
Created attachment 1101724 [details]
File: backtrace
Comment 16 Fedora End Of Life 2016-11-24 08:56:38 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 11:36:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.